// BePrinter 0.030 by Earl Colby Pottinger. 
// Partly based on code found in the Beos CDROM 
// Partly based on instructions found in "Programming the Be Operating System" By Dan Parks Sydow. 
// Additional help by Larry Baydak in debugging and coding/commenting style.

// Constants Messages for menu commands.
const uint32 MENU_FILE_NEW    = 'MFnw'; // Not used.
const uint32 MENU_FILE_OPEN   = 'MFop'; // Not used.
const uint32 MENU_FILE_CLOSE  = 'MFcl'; // Not used.
const uint32 MENU_FILE_SAVE   = 'MFsv'; // Not used.
const uint32 MENU_FILE_SAVEAS = 'MFsa'; // Not used.
const uint32 MENU_FILE_SETUP  = 'MFps'; // Setup page margins.
const uint32 MENU_FILE_PRINT  = 'MFpr'; // Print a flie or clipping.
const uint32 MENU_FILE_QUIT   = 'MFqu'; // Exit program.

const uint32 MENU_PRINTER_RAW        = 'MPrw'; // Raw data, uses no filtering for control codes.
const uint32 MENU_PRINTER_ASCII      = 'MPas'; // Pure ASCII, filters control codes.
const uint32 MENU_PRINTER_GENERIC    = 'MPgn'; // Generic ASCII, translates basic control codes.
const uint32 MENU_PRINTER_HP_INKJET  = 'MPhp'; // HP DeskJets.
const uint32 MENU_PRINTER_EPSON_INK  = 'MPei'; // Epson ESC/P2.
const uint32 MENU_PRINTER_EPSON_DOT  = 'MPed'; // Epson Dot Matrix.
const uint32 MENU_PRINTER_PROPRINTER = 'MPpp'; // IBM Proprinter III.
const uint32 MENU_PRINTER_PAR1       = 'MPp1'; // Printer's Parallel port 1 interface.
const uint32 MENU_PRINTER_PAR2       = 'MPp2'; // Printer's Parallel port 2 interface.
const uint32 MENU_PRINTER_SER1       = 'MPs1'; // Printer's Serial port 1 interface.
const uint32 MENU_PRINTER_SER2       = 'MPs2'; // Printer's Serial port 2 interface.
const uint32 MENU_PRINTER_PRNT       = 'MPpf'; // Printer's Print to File.

const uint32 MENU_MODE_TEXT       = 'MMtx'; // Print using a printer's text mode, does not support pictures.
const uint32 MENU_MODE_GRAPHIC    = 'MMgr'; // Print using a printer's graphic mode, does support pictures.
const uint32 MENU_MODE_NORMAL     = 'MMnm'; // Prints text in normal character size.
const uint32 MENU_MODE_COMPRESS12 = 'MM12'; // Prints text in (12 CPI) size.
const uint32 MENU_MODE_COMPRESS15 = 'MM15'; // Prints text in (15 CPI) size.
const uint32 MENU_MODE_COMPRESS17 = 'MM17'; // Prints text in (17 CPI) size.
const uint32 MENU_MODE_COMPRESS20 = 'MM20'; // Prints text in (20 CPI) size.
const uint32 MENU_MODE_DRAFT      = 'MMdr'; // Prints text in Draft Mode.
const uint32 MENU_MODE_NLQ        = 'MMnl'; // Prints text in Near Letter Quality Mode.
const uint32 MENU_MODE_LQ         = 'MMlq'; // Prints text in Letter Quality Mode.
const uint32 MENU_MODE_PS         = 'MMps'; // Prints text in Proportional Spacing Mode.
const uint32 MENU_MODE_FIXED      = 'MMfx'; // Prints text in Fixed Spacing Mode.
const uint32 MENU_MODE_1PAGE      = 'MM1p'; // Print one page on one sheet of paper.
const uint32 MENU_MODE_2PAGE      = 'MM2p'; // Print two pages on one sheet of paper.
const uint32 MENU_MODE_4PAGE      = 'MM4p'; // Print four pages on one sheet of paper.
const uint32 MENU_MODE_8PAGE      = 'MM8p'; // Print eight pages on one sheet of paper.
const uint32 MENU_MODE_1COLUMN    = 'MM1c'; // Print one column on one page.
const uint32 MENU_MODE_2COLUMN    = 'MM2c'; // Print two columns on one page.
const uint32 MENU_MODE_3COLUMN    = 'MM3c'; // Print three columns on one page.
const uint32 MENU_MODE_4COLUMN    = 'MM4c'; // Print four columns on one spage.
const uint32 MENU_MODE_LINE_T     = 'MMtr'; // Truncate extra long lines of text.
const uint32 MENU_MODE_LINE_L     = 'MMlw'; // LineWrap extra long lines of text.
const uint32 MENU_MODE_LINE_W     = 'MMww'; // WordWrap extra long lines of text.

const uint32 MENU_CMMD_RESET     = 'MCrs'; // Resets printer.
const uint32 MENU_CMMD_TEST      = 'MCts'; // Print a test Page.
const uint32 MENU_CMMD_LOAD      = 'MCld'; // Load a sheet of paper into printer. 
const uint32 MENU_CMMD_EJECT     = 'MCej'; // Eject a sheet of paper from printer.
const uint32 MENU_CMMD_EXEC      = 'MCs0'; // Set to Exec sized paper.
const uint32 MENU_CMMD_LETTER    = 'MCs1'; // Set to Letter sized paper.
const uint32 MENU_CMMD_LEGAL     = 'MCs2'; // Set to Legal sized paper.
const uint32 MENU_CMMD_A4        = 'MCs3'; // Set to A4 sized paper.
const uint32 MENU_CMMD_PORTRAIT  = 'MCpt'; // Set to portrait orientation.
const uint32 MENU_CMMD_LANDSCAPE = 'MCls'; // Set to landscape orientation.
const uint32 MENU_CMMD_LINEWRAP  = 'MClw'; // Enable Printer's Line wrapping.
const uint32 MENU_CMMD_NOWRAP    = 'MCtr'; // Disable Printer's Line wrapping.
const uint32 MENU_CMMD_UNIDIR    = 'MCud'; // Set to Unidirectional printing.
const uint32 MENU_CMMD_BIDIR     = 'MCbd'; // Set to Bidirectional printing.
